<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li><a href="functions.html"><span>All</span></a></li>
      <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
      <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions_func.html#index_a"><span>a</span></a></li>
      <li><a href="functions_func_b.html#index_b"><span>b</span></a></li>
      <li><a href="functions_func_c.html#index_c"><span>c</span></a></li>
      <li><a href="functions_func_d.html#index_d"><span>d</span></a></li>
      <li><a href="functions_func_e.html#index_e"><span>e</span></a></li>
      <li><a href="functions_func_f.html#index_f"><span>f</span></a></li>
      <li><a href="functions_func_g.html#index_g"><span>g</span></a></li>
      <li><a href="functions_func_h.html#index_h"><span>h</span></a></li>
      <li><a href="functions_func_i.html#index_i"><span>i</span></a></li>
      <li><a href="functions_func_j.html#index_j"><span>j</span></a></li>
      <li><a href="functions_func_l.html#index_l"><span>l</span></a></li>
      <li><a href="functions_func_m.html#index_m"><span>m</span></a></li>
      <li><a href="functions_func_n.html#index_n"><span>n</span></a></li>
      <li><a href="functions_func_o.html#index_o"><span>o</span></a></li>
      <li><a href="functions_func_p.html#index_p"><span>p</span></a></li>
      <li><a href="functions_func_q.html#index_q"><span>q</span></a></li>
      <li><a href="functions_func_r.html#index_r"><span>r</span></a></li>
      <li class="current"><a href="functions_func_s.html#index_s"><span>s</span></a></li>
      <li><a href="functions_func_t.html#index_t"><span>t</span></a></li>
      <li><a href="functions_func_u.html#index_u"><span>u</span></a></li>
      <li><a href="functions_func_v.html#index_v"><span>v</span></a></li>
      <li><a href="functions_func_w.html#index_w"><span>w</span></a></li>
      <li><a href="functions_func_x.html#index_x"><span>x</span></a></li>
      <li><a href="functions_func_y.html#index_y"><span>y</span></a></li>
      <li><a href="functions_func_z.html#index_z"><span>z</span></a></li>
      <li><a href="functions_func_~.html#index_~"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_func_s.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a class="anchor" id="index_s"></a>- s -</h3><ul>
<li>SafeStop()
: <a class="el" href="classflair_1_1core_1_1_thread.html#afa1fb0f8d5b18273394502159dd5dcef">flair::core::Thread</a>
</li>
<li>Saturate()
: <a class="el" href="classflair_1_1core_1_1_vector2_d.html#ab7c4e044ae4a49d8bfc344023540ceeb">flair::core::Vector2D&lt; T &gt;</a>
, <a class="el" href="classflair_1_1core_1_1_vector3_d.html#a0ce7a8a1fd1a493fa23963d80189b500">flair::core::Vector3D&lt; T &gt;</a>
</li>
<li>SavePictureToFile()
: <a class="el" href="classflair_1_1sensor_1_1_camera.html#a4f458342696953d923ee40efbc6a3e0e">flair::sensor::Camera</a>
</li>
<li>SaveRawPictureToFile()
: <a class="el" href="classflair_1_1sensor_1_1_camera.html#a2c8759d51a00ada2c069b51c34d17653">flair::sensor::Camera</a>
</li>
<li>Semaphore()
: <a class="el" href="classflair_1_1core_1_1_semaphore.html#a2e836aac7659086bcf7cefaa4f32ba8f">flair::core::Semaphore</a>
</li>
<li>SendData()
: <a class="el" href="classflair_1_1gui_1_1_send_data.html#aa04532b4ace577ee66a143fd25cea981">flair::gui::SendData</a>
</li>
<li>SendMessage()
: <a class="el" href="classflair_1_1core_1_1_connected_socket.html#aed7d5a9e49996bf672050f95f82d85b4">flair::core::ConnectedSocket</a>
, <a class="el" href="classflair_1_1core_1_1_tcp_socket.html#a35141127ad1e1fd921f5ca91e2341674">flair::core::TcpSocket</a>
, <a class="el" href="classflair_1_1core_1_1_udp_socket.html#ac80625f2db4a580d4b0724839d15f3a2">flair::core::UdpSocket</a>
, <a class="el" href="classflair_1_1core_1_1_udt_socket.html#a9a0424a81914bdb9edaf20783992f7b4">flair::core::UdtSocket</a>
</li>
<li>SendXml()
: <a class="el" href="classflair_1_1gui_1_1_widget.html#ac80f72906580f269b5881c1ef0b35afb">flair::gui::Widget</a>
</li>
<li>SerialPort()
: <a class="el" href="classflair_1_1core_1_1_serial_port.html#aa6f8c5f8c8a9e435635b1730feebc90c">flair::core::SerialPort</a>
</li>
<li>SetAltitudeAxis()
: <a class="el" href="classflair_1_1filter_1_1_joy_reference.html#affb67247575e4e38abb352ccf9088b01">flair::filter::JoyReference</a>
</li>
<li>SetAngularRates()
: <a class="el" href="classflair_1_1core_1_1_ahrs_data.html#ad5b8be3de3fbd4ec342ea616132659dd">flair::core::AhrsData</a>
</li>
<li>SetAutoExposure()
: <a class="el" href="classflair_1_1sensor_1_1_v4_l_camera.html#a1f98212da6124f4da644880fc0f6239a">flair::sensor::V4LCamera</a>
</li>
<li>SetAutoGain()
: <a class="el" href="classflair_1_1sensor_1_1_v4_l_camera.html#a6bd963d24efcd05a905cc801af8b91ae">flair::sensor::V4LCamera</a>
</li>
<li>SetBatteryValue()
: <a class="el" href="classflair_1_1sensor_1_1_battery_monitor.html#a8eed791db4d0f82898e9bb8e3788d818">flair::sensor::BatteryMonitor</a>
</li>
<li>SetBaudrate()
: <a class="el" href="classflair_1_1core_1_1_r_t_d_m___serial_port.html#ad0e57407f0a2cad1b20ac7339d3b554a">flair::core::RTDM_SerialPort</a>
, <a class="el" href="classflair_1_1core_1_1_serial_port.html#ad9f27342a1d501d7cd64eb3a215572fe">flair::core::SerialPort</a>
, <a class="el" href="classflair_1_1core_1_1_unix___serial_port.html#ad62c002d6eedf55541c2290ec48b0e75">flair::core::Unix_SerialPort</a>
</li>
<li>SetBrightness()
: <a class="el" href="classflair_1_1sensor_1_1_v4_l_camera.html#af2108dc32fd988eb33bf8a28e1c5a843">flair::sensor::V4LCamera</a>
</li>
<li>SetCenter()
: <a class="el" href="classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#a3e99a6f66622cbf661c46e2bf65b70dc">flair::filter::TrajectoryGenerator2DCircle</a>
</li>
<li>SetCenterSpeed()
: <a class="el" href="classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#add30dea61dd67cf2cb2457d28fbad35c">flair::filter::TrajectoryGenerator2DCircle</a>
</li>
<li>SetContrast()
: <a class="el" href="classflair_1_1sensor_1_1_v4_l_camera.html#add3527b969ba1fb04f6852538627a087">flair::sensor::V4LCamera</a>
</li>
<li>SetCoordinates()
: <a class="el" href="classflair_1_1core_1_1_geo_coordinate.html#ab3d6f9217c88719aa879711e8d2d3f20">flair::core::GeoCoordinate</a>
</li>
<li>SetDataTime()
: <a class="el" href="classflair_1_1core_1_1io__data.html#acae3fb98b266a788b12083c7eec2be10">flair::core::io_data</a>
</li>
<li>SetDefaultOffset()
: <a class="el" href="classflair_1_1filter_1_1_pid_thrust.html#a5e856db9c472b9ca3b6b69eb54ffa18e">flair::filter::PidThrust</a>
</li>
<li>SetDop()
: <a class="el" href="classflair_1_1core_1_1_gps_data.html#a1938a21ef420d22df14bbde302530bfd">flair::core::GpsData</a>
</li>
<li>SetElementName()
: <a class="el" href="classflair_1_1core_1_1cvmatrix__descriptor.html#a6b68acb9a1db79573780370c54b6d077">flair::core::cvmatrix_descriptor</a>
</li>
<li>SetEnabled()
: <a class="el" href="classflair_1_1actuator_1_1_bldc.html#ac030794b46b72db4184592f7cff11731">flair::actuator::Bldc</a>
</li>
<li>setEnabled()
: <a class="el" href="classflair_1_1gui_1_1_widget.html#a814a933622114ad9c8f5d49014262d89">flair::gui::Widget</a>
</li>
<li>SetEnu()
: <a class="el" href="classflair_1_1core_1_1_gps_data.html#a41bc835f48f054b852690519d07f420c">flair::core::GpsData</a>
</li>
<li>SetExposure()
: <a class="el" href="classflair_1_1sensor_1_1_v4_l_camera.html#a0cd0d589400e91a267e736577455a03f">flair::sensor::V4LCamera</a>
</li>
<li>setFarValue()
: <a class="el" href="classflair_1_1sensor_1_1_simu_camera_g_l.html#a423b0009af00935e7cc8e6b9f768f930">flair::sensor::SimuCameraGL</a>
</li>
<li>SetFixQuality()
: <a class="el" href="classflair_1_1core_1_1_gps_data.html#ade62faa0efb52070acae36b4f3f485b8">flair::core::GpsData</a>
</li>
<li>SetGain()
: <a class="el" href="classflair_1_1sensor_1_1_v4_l_camera.html#a29862113a1cf3095a15e8f86e28c4a9e">flair::sensor::V4LCamera</a>
</li>
<li>SetHue()
: <a class="el" href="classflair_1_1sensor_1_1_v4_l_camera.html#a7d8f738b2c011fb07a8b810358563613">flair::sensor::V4LCamera</a>
</li>
<li>SetIsReady()
: <a class="el" href="classflair_1_1core_1_1_i_o_device.html#a120fdcc3d50f6f076084cb6943fdf412">flair::core::IODevice</a>
</li>
<li>SetLla()
: <a class="el" href="classflair_1_1core_1_1_gps_data.html#a127f35d2f90679a1ac20e25f59820073">flair::core::GpsData</a>
</li>
<li>SetLogFormat()
: <a class="el" href="classflair_1_1sensor_1_1_camera.html#a5a8dd85868d1d300f29022acf4ed752e">flair::sensor::Camera</a>
</li>
<li>SetMaxGain()
: <a class="el" href="classflair_1_1sensor_1_1_srf08.html#a29851770b97852246643187224054a14">flair::sensor::Srf08</a>
</li>
<li>SetMultiplexComboBox()
: <a class="el" href="classflair_1_1filter_1_1_uav_multiplex.html#a89c5aab7862fa56db7dc1d8b40be25ce">flair::filter::UavMultiplex</a>
</li>
<li>setNearValue()
: <a class="el" href="classflair_1_1sensor_1_1_simu_camera_g_l.html#ab9fed80b79343744331b8cf6c2d22b9e">flair::sensor::SimuCameraGL</a>
</li>
<li>SetNumberOfSatellites()
: <a class="el" href="classflair_1_1core_1_1_gps_data.html#a78c3f3c52bc4200f2006567f7dabefff">flair::core::GpsData</a>
</li>
<li>SetOffset()
: <a class="el" href="classflair_1_1filter_1_1_pid_thrust.html#a240df5714f7ffe4fd2cb7765a21389ee">flair::filter::PidThrust</a>
</li>
<li>SetPeriodMS()
: <a class="el" href="classflair_1_1core_1_1_thread.html#a37d13f12283d69ebd092a7cc01a7d742">flair::core::Thread</a>
</li>
<li>SetPeriodUS()
: <a class="el" href="classflair_1_1core_1_1_thread.html#a581ae3bdecef47c916671a6aafec9509">flair::core::Thread</a>
</li>
<li>SetPersistentXmlProp()
: <a class="el" href="classflair_1_1gui_1_1_widget.html#a0e81847db5a84b2e7e26545c9b1b704f">flair::gui::Widget</a>
</li>
<li>SetPitch()
: <a class="el" href="classflair_1_1filter_1_1_uav_multiplex.html#a8d9552b36d8c4f001659c4c4872cafc9">flair::filter::UavMultiplex</a>
</li>
<li>SetPitchAxis()
: <a class="el" href="classflair_1_1filter_1_1_joy_reference.html#a2ff85142cf57e16b601745f88a82c5d3">flair::filter::JoyReference</a>
</li>
<li>SetPitchTrim()
: <a class="el" href="classflair_1_1filter_1_1_uav_multiplex.html#a15be6ffdc0e91df15243490d6272035a">flair::filter::UavMultiplex</a>
</li>
<li>SetPositionOffset()
: <a class="el" href="classflair_1_1filter_1_1_trajectory_generator1_d.html#a81d60661d67c3c01a357e14489b3e59e">flair::filter::TrajectoryGenerator1D</a>
</li>
<li>SetPower()
: <a class="el" href="classflair_1_1actuator_1_1_bldc.html#ae040c7faecb20b538da7932a3a2e589f">flair::actuator::Bldc</a>
</li>
<li>SetPtrToCircle()
: <a class="el" href="classflair_1_1core_1_1io__data.html#aa8b8c20d94aaf6b9eb4e21e2b95d51b2">flair::core::io_data</a>
</li>
<li>SetQuaternion()
: <a class="el" href="classflair_1_1core_1_1_ahrs_data.html#a97a810113ff30b4a7661cedfbd00a248">flair::core::AhrsData</a>
</li>
<li>SetQuaternionAndAngularRates()
: <a class="el" href="classflair_1_1core_1_1_ahrs_data.html#a2b6f3f93c50b4b4ae304979eec889750">flair::core::AhrsData</a>
</li>
<li>SetRange()
: <a class="el" href="classflair_1_1sensor_1_1_srf08.html#ae760771d1ec4ede8ec0a901c5e178b32">flair::sensor::Srf08</a>
</li>
<li>SetRawAcc()
: <a class="el" href="classflair_1_1core_1_1_imu_data.html#ad1253132c246fd1106294fa63c9f43d6">flair::core::ImuData</a>
</li>
<li>SetRawAccMagAndGyr()
: <a class="el" href="classflair_1_1core_1_1_imu_data.html#ac9996d7161dfbc620d977208d0626515">flair::core::ImuData</a>
</li>
<li>SetRawGyr()
: <a class="el" href="classflair_1_1core_1_1_imu_data.html#afb2c370ce20995a83fb500bc8e966d4e">flair::core::ImuData</a>
</li>
<li>SetRawMag()
: <a class="el" href="classflair_1_1core_1_1_imu_data.html#a2c8a03b3ff037fca52e2e0607910f93d">flair::core::ImuData</a>
</li>
<li>SetRef()
: <a class="el" href="classflair_1_1sensor_1_1_nmea_gps.html#a135e080ecff933da9b60cc6e613b543e">flair::sensor::NmeaGps</a>
</li>
<li>SetRoll()
: <a class="el" href="classflair_1_1filter_1_1_uav_multiplex.html#a355b6f35700da8036bab83040ab04ee9">flair::filter::UavMultiplex</a>
</li>
<li>SetRollAxis()
: <a class="el" href="classflair_1_1filter_1_1_joy_reference.html#a8dfbc87a1dac2b5929c16cf3da0703d6">flair::filter::JoyReference</a>
</li>
<li>SetRollTrim()
: <a class="el" href="classflair_1_1filter_1_1_uav_multiplex.html#a1af4f73fed0a968402d4097b92700824">flair::filter::UavMultiplex</a>
</li>
<li>SetRxTimeout()
: <a class="el" href="classflair_1_1core_1_1_i2c_port.html#a70a00b4119f76bbd3525a5e7a800e774">flair::core::I2cPort</a>
, <a class="el" href="classflair_1_1core_1_1_r_t_d_m___i2c_port.html#a179f386950ddc6d0220a18e742943cfa">flair::core::RTDM_I2cPort</a>
, <a class="el" href="classflair_1_1core_1_1_r_t_d_m___serial_port.html#ad86eb870ed2544e957f8e6c31d35aa5d">flair::core::RTDM_SerialPort</a>
, <a class="el" href="classflair_1_1core_1_1_serial_port.html#a54b5711f111f84656201dcd2ac2c03cf">flair::core::SerialPort</a>
, <a class="el" href="classflair_1_1core_1_1_unix___i2c_port.html#a7eb6ae7b58b055663cd548da7fd77b36">flair::core::Unix_I2cPort</a>
, <a class="el" href="classflair_1_1core_1_1_unix___serial_port.html#a006b93a07dd0e81eb8cdfd07b6439cd9">flair::core::Unix_SerialPort</a>
</li>
<li>SetSaturation()
: <a class="el" href="classflair_1_1sensor_1_1_v4_l_camera.html#a91421cc842452513bae3ef4530043d69">flair::sensor::V4LCamera</a>
</li>
<li>SetSendSize()
: <a class="el" href="classflair_1_1gui_1_1_send_data.html#a0e325dd4651da3a0e98e62548025eeb1">flair::gui::SendData</a>
</li>
<li>SetSlave()
: <a class="el" href="classflair_1_1core_1_1_i2c_port.html#aed344676d32a7876b4514e8079fcfb39">flair::core::I2cPort</a>
, <a class="el" href="classflair_1_1core_1_1_r_t_d_m___i2c_port.html#a8751f66fc59d35134094a9ac6b9f599a">flair::core::RTDM_I2cPort</a>
, <a class="el" href="classflair_1_1core_1_1_unix___i2c_port.html#a226fe4821954a937986dd55dc13ea3d8">flair::core::Unix_I2cPort</a>
</li>
<li>SetSpeedOffset()
: <a class="el" href="classflair_1_1filter_1_1_trajectory_generator1_d.html#a58f86c717fed6e84b22684e881837d2b">flair::filter::TrajectoryGenerator1D</a>
</li>
<li>SetText()
: <a class="el" href="classflair_1_1gui_1_1_label.html#a18a3061eb07a64a4ebe08ec53f97d8be">flair::gui::Label</a>
</li>
<li>SetThrust()
: <a class="el" href="classflair_1_1filter_1_1_uav_multiplex.html#acce7153720afb9f7478dd3293095eeff">flair::filter::UavMultiplex</a>
</li>
<li>SetTxTimeout()
: <a class="el" href="classflair_1_1core_1_1_i2c_port.html#ab6fd9827c2301602e5aab8b141800da1">flair::core::I2cPort</a>
, <a class="el" href="classflair_1_1core_1_1_r_t_d_m___i2c_port.html#ac2366749d5566ff2ff4a38d744ecc207">flair::core::RTDM_I2cPort</a>
, <a class="el" href="classflair_1_1core_1_1_unix___i2c_port.html#a5bafddf9907a657fecbba03cee6854af">flair::core::Unix_I2cPort</a>
</li>
<li>SetupConnection()
: <a class="el" href="classflair_1_1core_1_1_framework_manager.html#a6f3fb7e3a6eb077f6330475791f3d00b">flair::core::FrameworkManager</a>
</li>
<li>SetupLogger()
: <a class="el" href="classflair_1_1core_1_1_framework_manager.html#a87827cc05ace9d15c13be60d231d9ab3">flair::core::FrameworkManager</a>
</li>
<li>SetupUserInterface()
: <a class="el" href="classflair_1_1core_1_1_framework_manager.html#a528ab69c3a850237007a074732d9fa85">flair::core::FrameworkManager</a>
</li>
<li>SetValue()
: <a class="el" href="classflair_1_1core_1_1cvmatrix.html#a08f2ff150e752e735ac17c1717b5b88e">flair::core::cvmatrix</a>
, <a class="el" href="classflair_1_1core_1_1_matrix.html#a53352958cb4d3bf29d3831cd89557f85">flair::core::Matrix</a>
</li>
<li>SetValueChanged()
: <a class="el" href="classflair_1_1gui_1_1_box.html#a97997d50ef96b359564c2d6b94db1edc">flair::gui::Box</a>
</li>
<li>SetValueNoMutex()
: <a class="el" href="classflair_1_1core_1_1cvmatrix.html#ae19ee71a4ac6a6e491417759fc8d4e9e">flair::core::cvmatrix</a>
, <a class="el" href="classflair_1_1core_1_1_matrix.html#a588761ae5606e5a6d9f37a15e0e23c43">flair::core::Matrix</a>
</li>
<li>SetValues()
: <a class="el" href="classflair_1_1filter_1_1_nested_sat.html#a327a0a6562f638c4c4c7b9d14053cab4">flair::filter::NestedSat</a>
, <a class="el" href="classflair_1_1filter_1_1_pid.html#a27c025ae6b9a9a192a234ab74e2e6f8b">flair::filter::Pid</a>
, <a class="el" href="classflair_1_1filter_1_1_pid_thrust.html#afdbec017ebadc52cef7e901ecd92d959">flair::filter::PidThrust</a>
</li>
<li>SetVelocity()
: <a class="el" href="classflair_1_1core_1_1_gps_data.html#a09134eda9e9abd781fd5a9193b2dbc58">flair::core::GpsData</a>
</li>
<li>SetVolatileXmlProp()
: <a class="el" href="classflair_1_1gui_1_1_widget.html#abe5ab96255919238138527c92fbeb6d8">flair::gui::Widget</a>
</li>
<li>SetYaw()
: <a class="el" href="classflair_1_1filter_1_1_uav_multiplex.html#ab63686eef3ef921295f61b4df1bc8045">flair::filter::UavMultiplex</a>
</li>
<li>SetYawAxis()
: <a class="el" href="classflair_1_1filter_1_1_joy_reference.html#a1743d36749d704a37fe68c1280c04e4d">flair::filter::JoyReference</a>
</li>
<li>SetYawRef()
: <a class="el" href="classflair_1_1filter_1_1_joy_reference.html#a38143ce38657db2bc34e7cbad351bdf8">flair::filter::JoyReference</a>
, <a class="el" href="classflair_1_1meta_1_1_meta_dual_shock3.html#ab7cf9e9bf5e69b56dc89b79beccedd1e">flair::meta::MetaDualShock3</a>
</li>
<li>SetYawTrim()
: <a class="el" href="classflair_1_1filter_1_1_uav_multiplex.html#ac8938ae194aa4cb399ac87fc0acd10b0">flair::filter::UavMultiplex</a>
</li>
<li>SetZRef()
: <a class="el" href="classflair_1_1filter_1_1_joy_reference.html#a3746cc472ad6db4e7b4bf3d24ac3ac00">flair::filter::JoyReference</a>
</li>
<li>SharedMem()
: <a class="el" href="classflair_1_1core_1_1_shared_mem.html#a003b9e48b88ac57bb7255b80f7768d9f">flair::core::SharedMem</a>
</li>
<li>SignalEvent()
: <a class="el" href="classflair_1_1meta_1_1_uav_state_machine.html#a734a11e3bbedd8dd1726b2c450353da5">flair::meta::UavStateMachine</a>
</li>
<li>SimuBldc()
: <a class="el" href="classflair_1_1actuator_1_1_simu_bldc.html#a76b2fb40a3736ff2f7c33f68b61f370b">flair::actuator::SimuBldc</a>
</li>
<li>SimuCamera()
: <a class="el" href="classflair_1_1sensor_1_1_simu_camera.html#a6268c6637a325229c73ac49d7af7882e">flair::sensor::SimuCamera</a>
</li>
<li>SimuGps()
: <a class="el" href="classflair_1_1sensor_1_1_simu_gps.html#a920cb6176e8af975256906778136be4b">flair::sensor::SimuGps</a>
</li>
<li>SimuImu()
: <a class="el" href="classflair_1_1sensor_1_1_simu_imu.html#a6f0151ed75fa6039f7e5fc940240c25f">flair::sensor::SimuImu</a>
</li>
<li>SimuLaser()
: <a class="el" href="classflair_1_1sensor_1_1_simu_laser.html#a22315194992008f2c5b86dd50f63eaf5">flair::sensor::SimuLaser</a>
</li>
<li>SimulatedAhrs()
: <a class="el" href="classflair_1_1filter_1_1_simulated_ahrs.html#ad1c55a8c29398f2806a4fd8507b1874e">flair::filter::SimulatedAhrs</a>
</li>
<li>SimulatedBldc()
: <a class="el" href="classflair_1_1actuator_1_1_simulated_bldc.html#a7df74094c8c31b89644558a2d0ed2cb3">flair::actuator::SimulatedBldc</a>
</li>
<li>SimulatedCamera()
: <a class="el" href="classflair_1_1sensor_1_1_simulated_camera.html#adf6e2f7150633c4243f3a7c6e3ec8b4b">flair::sensor::SimulatedCamera</a>
</li>
<li>SimulatedGps()
: <a class="el" href="classflair_1_1sensor_1_1_simulated_gps.html#abec55ce6790d1b19d6f07449b4145d36">flair::sensor::SimulatedGps</a>
</li>
<li>SimulatedImu()
: <a class="el" href="classflair_1_1sensor_1_1_simulated_imu.html#ac02136d55505be5e458948169c88ebcd">flair::sensor::SimulatedImu</a>
</li>
<li>SimulatedLaser()
: <a class="el" href="classflair_1_1sensor_1_1_simulated_laser.html#a3e97bd31d4984096f07990ac80651531">flair::sensor::SimulatedLaser</a>
</li>
<li>SimulatedPressureSensor()
: <a class="el" href="classflair_1_1sensor_1_1_simulated_pressure_sensor.html#a5eda2573d164acb3d2542f306cb1966e">flair::sensor::SimulatedPressureSensor</a>
</li>
<li>SimulatedUs()
: <a class="el" href="classflair_1_1sensor_1_1_simulated_us.html#a627bc8b24c9c2da3e2cd430fe1712c0a">flair::sensor::SimulatedUs</a>
</li>
<li>SimuPressureSensor()
: <a class="el" href="classflair_1_1sensor_1_1_simu_pressure_sensor.html#a3f2a22d057a05792e51970737086f009">flair::sensor::SimuPressureSensor</a>
</li>
<li>SimuUs()
: <a class="el" href="classflair_1_1sensor_1_1_simu_us.html#a6809a978e76619c5bfff3aca092e49ed">flair::sensor::SimuUs</a>
</li>
<li>SleepMS()
: <a class="el" href="classflair_1_1core_1_1_thread.html#a501e7802d7edd7e6167d111c803b8349">flair::core::Thread</a>
</li>
<li>SleepUntil()
: <a class="el" href="classflair_1_1core_1_1_thread.html#ac09a2d745af3dbb42371949d4c622011">flair::core::Thread</a>
</li>
<li>SleepUS()
: <a class="el" href="classflair_1_1core_1_1_thread.html#a3479727dfaf2213f7866fccadb43eeb6">flair::core::Thread</a>
</li>
<li>Speed()
: <a class="el" href="classflair_1_1filter_1_1_trajectory_generator1_d.html#a3fbfb99d8a470b1d17250a8fa0de2c6d">flair::filter::TrajectoryGenerator1D</a>
</li>
<li>SpinBox()
: <a class="el" href="classflair_1_1gui_1_1_spin_box.html#a92f63c84f17ab71d508e40ef5bd88818">flair::gui::SpinBox</a>
</li>
<li>Srf08()
: <a class="el" href="classflair_1_1sensor_1_1_srf08.html#a6b4c56ab2d67af7bf65dd632d9b26746">flair::sensor::Srf08</a>
</li>
<li>Start()
: <a class="el" href="classflair_1_1core_1_1_thread.html#a5a4f0f27689ae4292f81bf45e22998a5">flair::core::Thread</a>
</li>
<li>StartLog()
: <a class="el" href="classflair_1_1core_1_1_framework_manager.html#a1cbc5e8296c0f36551210e13251516ae">flair::core::FrameworkManager</a>
</li>
<li>StartTraj()
: <a class="el" href="classflair_1_1filter_1_1_trajectory_generator1_d.html#a94f61b22433b9ad621d22a9f12517a26">flair::filter::TrajectoryGenerator1D</a>
, <a class="el" href="classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#a637ce1ebabfb653a493314f707fa3ae4">flair::filter::TrajectoryGenerator2DCircle</a>
</li>
<li>State()
: <a class="el" href="classflair_1_1sensor_1_1_vrpn_object.html#ae178376649f38cfe726d286bc653909c">flair::sensor::VrpnObject</a>
</li>
<li>StopLog()
: <a class="el" href="classflair_1_1core_1_1_framework_manager.html#a978aae4beac0c20dbbff73369ab6e31a">flair::core::FrameworkManager</a>
</li>
<li>StopTraj()
: <a class="el" href="classflair_1_1filter_1_1_trajectory_generator1_d.html#a28cc21dac02612396c4be5af97c87b2b">flair::filter::TrajectoryGenerator1D</a>
, <a class="el" href="classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#afa7fb1b5ce2b0036b2eae7c1f3f27fb1">flair::filter::TrajectoryGenerator2DCircle</a>
</li>
<li>Suspend()
: <a class="el" href="classflair_1_1core_1_1_thread.html#a0e5fc8919ed6042e5736a5dca5ba546b">flair::core::Thread</a>
</li>
<li>SuspendUntil()
: <a class="el" href="classflair_1_1core_1_1_thread.html#af93c2461c31a6c16958bc44189ab4253">flair::core::Thread</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:24 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
